diff -r 33bb7ffc54a1 -r e64af49a2189 libgui/languages/it_IT.ts
--- a/libgui/languages/it_IT.ts	Fri Apr 06 14:34:24 2018 -0700
+++ b/libgui/languages/it_IT.ts	Sat Apr 07 14:01:54 2018 +0100
@@ -4037,802 +3420,939 @@
     <message>
         <location filename="../src/workspace-view.cc" line="+55"/>
         <source>Workspace</source>
-        <translation type="unfinished">Spazio di lavoro</translation>
+        <translation>Spazio di lavoro</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>View the variables in the active workspace.</source>
-        <translation type="unfinished">Mostra le variabili nello spazio di lavoro attivo.</translation>
+        <translation>Mostra le variabili nello spazio di lavoro attivo.</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Enter text to filter the workspace</source>
-        <translation type="unfinished">Inserire del testo per filtrare l&apos;area di lavoro</translation>
+        <translation>Inserire del testo per filtrare l&apos;area di lavoro</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Filter</source>
-        <translation type="unfinished">Filtra</translation>
-    </message>
-    <message>
-        <location line="+129"/>
+        <translation>Filtra</translation>
+    </message>
+    <message>
+        <location line="+130"/>
         <source>View the variables in the active workspace.&lt;br&gt;</source>
-        <translation type="unfinished">Mostra le variabili nello spazio di lavoro attivo.&lt;br&gt;</translation>
+        <translation>Mostra le variabili nello spazio di lavoro attivo.&lt;br&gt;</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Colors for variable attributes:</source>
-        <translation type="unfinished">Colori per gli attributi delle variabili:</translation>
+        <translation>Colori per gli attributi delle variabili:</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Class</source>
-        <translation type="unfinished">Classe</translation>
+        <translation>Classe</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Dimension</source>
-        <translation type="unfinished">Dimensione</translation>
+        <translation>Dimensione</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Value</source>
-        <translation type="unfinished">Valore</translation>
+        <translation>Valore</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Attribute</source>
-        <translation type="unfinished">Attributo</translation>
+        <translation>Attributo</translation>
     </message>
     <message>
         <location line="+136"/>
         <source>Open in Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>Apri nell&apos;editor di variabili</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy name</source>
-        <translation type="unfinished">Copia nome</translation>
+        <translation>Copia nome</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy value</source>
-        <translation type="unfinished">Copia valore</translation>
+        <translation>Copia valore</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Rename</source>
-        <translation type="unfinished">Rinomina</translation>
+        <translation>Rinomina</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Only top-level symbols may be renamed</source>
-        <translation type="unfinished">Si possono rinominare solo i simboli di primo livello</translation>
+        <translation>Si possono rinominare solo i simboli di primo livello</translation>
     </message>
     <message>
         <location line="+22"/>
         <source>Hide filter</source>
-        <translation type="unfinished">Nascondi filtro</translation>
+        <translation>Nascondi filtro</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show filter</source>
-        <translation type="unfinished">Mostra filtro</translation>
+        <translation>Mostra filtro</translation>
     </message>
 </context>
 <context>
     <name>settings_dialog</name>
     <message>
         <location filename="../src/settings-dialog.ui" line="+23"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2058"/>
         <source>Settings</source>
         <translation>Impostazioni</translation>
     </message>
     <message>
         <location line="+19"/>
         <location line="+478"/>
+        <location filename="../src/ui-settings-dialog.h" line="+26"/>
+        <location line="+1"/>
         <source>General</source>
         <translation>Generale</translation>
     </message>
     <message>
         <location line="-186"/>
+        <location filename="../src/ui-settings-dialog.h" line="-12"/>
         <source>Octave logo only</source>
         <translation>Logo di Octave solamente</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Letter icons</source>
         <translation>Icone testuali</translation>
     </message>
     <message>
         <location line="+7"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Graphic icons</source>
         <translation>Icone grafiche</translation>
     </message>
     <message>
         <location line="-29"/>
+        <location filename="../src/ui-settings-dialog.h" line="-3"/>
         <source>Dock widget title bar</source>
         <translation>Barra del titolo del lanciatore di widget</translation>
     </message>
     <message>
         <location line="-176"/>
+        <location filename="../src/ui-settings-dialog.h" line="-8"/>
         <source>Confirm before exiting</source>
         <translation>Conferma prima di uscire</translation>
     </message>
     <message>
         <location line="+95"/>
+        <location filename="../src/ui-settings-dialog.h" line="+5"/>
         <source>Custom style</source>
         <translation>Stile personalizzato</translation>
     </message>
     <message>
         <location line="+139"/>
         <location line="+280"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
+        <location line="+13"/>
         <source>Show status bar</source>
         <translation>Mostra barra di stato</translation>
     </message>
     <message>
         <location line="-458"/>
+        <location filename="../src/ui-settings-dialog.h" line="-23"/>
         <source>Text inactive</source>
         <translation>Testo inattivo</translation>
     </message>
     <message>
         <location line="-32"/>
         <location line="+45"/>
+        <location filename="../src/ui-settings-dialog.h" line="-1"/>
+        <location line="+2"/>
         <source>Active</source>
         <translation>Attiva</translation>
     </message>
     <message>
         <location line="-135"/>
+        <location filename="../src/ui-settings-dialog.h" line="-7"/>
         <source>Normal</source>
         <translation>Normale</translation>
     </message>
     <message>
         <location line="+174"/>
+        <location filename="../src/ui-settings-dialog.h" line="+9"/>
         <source>Background inactive</source>
         <translation>Sfondo inattivo</translation>
     </message>
     <message>
         <location line="+157"/>
+        <location filename="../src/ui-settings-dialog.h" line="+10"/>
         <source>These preferences are applied after any .octaverc startup files.</source>
         <translation>Queste preferenze vengono applicate dopo tutti i file di avvio .octaverc.</translation>
     </message>
     <message>
         <location line="+55"/>
+        <location filename="../src/ui-settings-dialog.h" line="+3"/>
         <source>Restore working directory of previous session</source>
         <translation>Ripristina la cartella di lavoro della sessione precedente</translation>
     </message>
     <message>
         <location line="+33"/>
+        <location filename="../src/ui-settings-dialog.h" line="+82"/>
         <source>Editor</source>
         <translation>Editor</translation>
     </message>
     <message>
         <location line="+314"/>
+        <location filename="../src/ui-settings-dialog.h" line="-68"/>
         <source>Color</source>
         <translation>Colore</translation>
     </message>
     <message>
         <location line="+215"/>
         <location line="+140"/>
+        <location filename="../src/ui-settings-dialog.h" line="+12"/>
+        <location line="+9"/>
         <source>This works well for monospaced fonts. The line is drawn at a position based on the width of a space character in the default font. It may not work very well if styles use proportional fonts or if varied font sizes or bold, italic and normal texts are used.</source>
         <translation>Questa impostazione è adatta a caratteri monospaced. La linea è posta in una posizione basata sulla larghezza di uno spazio bianco del tipo di carattere predefinito. Può non funzionare bene se gli stili usano caratteri proporzionali o se diverse dimensioni di carattere, grassetto o corsivo sono utilizzati.</translation>
     </message>
     <message>
         <location line="-463"/>
+        <location filename="../src/ui-settings-dialog.h" line="-25"/>
         <source>Enable Code Folding</source>
         <translation>Attiva espansione del codice</translation>
     </message>
     <message>
         <location line="+961"/>
+        <location filename="../src/ui-settings-dialog.h" line="+66"/>
         <source>Windows (CRLF)</source>
         <translation>Windows (CRLF)</translation>
     </message>
     <message>
         <location line="+5"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Mac (CR)</source>
         <translation>Mac (CR)</translation>
     </message>
     <message>
         <location line="+5"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Unix (LF)</source>
         <translation>Unix (LF)</translation>
     </message>
     <message>
         <location line="-936"/>
+        <location filename="../src/ui-settings-dialog.h" line="-66"/>
         <source>Show horizontal scroll bar</source>
         <translation>Mostra barra di scorrimento orizzontale</translation>
     </message>
     <message>
-        <location line="+486"/>
+        <location line="+431"/>
+        <location filename="../src/ui-settings-dialog.h" line="+25"/>
+        <source>Wrap long lines at current window border</source>
+        <translation>Spezza righe lunghe al marigne della finsetra corrente</translation>
+    </message>
+    <message>
+        <location line="+55"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Indent width</source>
         <translation>Ampiezza indentazione</translation>
     </message>
     <message>
         <location line="+7"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Tab indents line</source>
         <translation>Tab indenta la riga</translation>
     </message>
     <message>
         <location line="+20"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Auto indentation</source>
         <translation>Indentazione automatica</translation>
     </message>
     <message>
         <location line="+23"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Tab width</source>
         <translation>Ampiezza tabulazione</translation>
     </message>
     <message>
         <location line="+7"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Show indentation guides</source>
         <translation>Mostra guide per l&apos;indentazione</translation>
     </message>
     <message>
         <location line="+7"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Backspace unindents line</source>
         <translation>Backspace rimuove l&apos;indentazione</translation>
     </message>
     <message>
         <location line="+23"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Indentation uses tabs</source>
         <translation>Indenta con tabulazioni</translation>
     </message>
     <message>
         <location line="+70"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Auto completion</source>
         <translation>Completamento automatico</translation>
     </message>
     <message>
         <location line="+27"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Match keywords</source>
         <translation>Abbina parole chiave</translation>
     </message>
     <message>
         <location line="+13"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Case sensitive</source>
         <translation>Distinzione maiuscole/minuscole</translation>
     </message>
     <message>
         <location line="+23"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Replace word by suggested one</source>
-        <translation>Sostituisci una parola con quella suggerita</translation>
+        <translation>Sostituisci parola con quella suggerita</translation>
     </message>
     <message>
         <location line="-10"/>
+        <location filename="../src/ui-settings-dialog.h" line="-1"/>
         <source>Match words in document</source>
         <translation>Abbina parole nel documento</translation>
     </message>
     <message>
         <location line="-540"/>
+        <location filename="../src/ui-settings-dialog.h" line="-38"/>
         <source>Use custom file editor</source>
         <translation>Utilizza editor personalizzato</translation>
     </message>
     <message>
         <location line="+868"/>
+        <location filename="../src/ui-settings-dialog.h" line="+66"/>
         <source>Editor Styles</source>
         <translation>Stili dell&apos;editor</translation>
     </message>
     <message>
         <location line="+280"/>
+        <location filename="../src/ui-settings-dialog.h" line="+9"/>
         <source>Terminal Colors</source>
         <translation>Colori del terminale</translation>
     </message>
     <message>
         <location line="-173"/>
-        <location line="+834"/>
+        <location line="+854"/>
+        <location filename="../src/ui-settings-dialog.h" line="-6"/>
+        <location line="+57"/>
         <source>Font</source>
         <translation>Carattere</translation>
     </message>
     <message>
-        <location line="-2026"/>
+        <location line="-2046"/>
+        <location filename="../src/ui-settings-dialog.h" line="-136"/>
         <source>Show line numbers</source>
         <translation>Mostra numeri di riga</translation>
     </message>
     <message>
         <location line="+150"/>
+        <location filename="../src/ui-settings-dialog.h" line="+7"/>
         <source>Highlight current line</source>
         <translation>Evidenzia la riga corrente</translation>
     </message>
     <message>
         <location line="-137"/>
+        <location filename="../src/ui-settings-dialog.h" line="-6"/>
         <source>Show whitespace</source>
         <translation>Mostra spazi</translation>
     </message>
     <message>
         <location line="-45"/>
+        <location filename="../src/ui-settings-dialog.h" line="-3"/>
         <source>Do not show whitespace used for indentation</source>
         <translation>Non mostrare gli spazi utilizzati per l&apos;indentazione</translation>
     </message>
     <message>
         <location line="+215"/>
+        <location filename="../src/ui-settings-dialog.h" line="+10"/>
         <source>Show EOL characters</source>
-        <translation>Mostra terminatori di riga</translation>
+        <translation>Mostra carattere di fine riga</translation>
     </message>
     <message>
         <location line="+784"/>
+        <location filename="../src/ui-settings-dialog.h" line="+57"/>
         <source>Default EOL mode</source>
-        <translation>Modalità di default per i teminatori di riga</translation>
+        <translation>Modalità di default per i caratteri di fine riga</translation>
     </message>
     <message>
         <location line="-136"/>
+        <location filename="../src/ui-settings-dialog.h" line="-13"/>
         <source>Number of characters before list is shown: </source>
         <translation>Numero di caratteri prima che la lista sia mostrata: </translation>
     </message>
     <message>
         <location line="+124"/>
+        <location filename="../src/ui-settings-dialog.h" line="+12"/>
         <source>Create nonexistent files without prompting</source>
         <translation>Crea file inesistenti senza chiedere conferma</translation>
     </message>
     <message>
         <location line="-728"/>
+        <location filename="../src/ui-settings-dialog.h" line="-53"/>
         <source>command line (%f=file, %l=line):</source>
         <translation>linea di comando (%f=file, %l=riga):</translation>
     </message>
     <message>
         <location line="+907"/>
+        <location filename="../src/ui-settings-dialog.h" line="+75"/>
         <source>Terminal</source>
         <translation>Terminale</translation>
     </message>
     <message>
         <location line="+44"/>
+        <location filename="../src/ui-settings-dialog.h" line="-8"/>
         <source>Cursor type:</source>
         <translation>Tipo di cursore:</translation>
     </message>
     <message>
         <location line="-1467"/>
+        <location filename="../src/ui-settings-dialog.h" line="-91"/>
         <source>Cursor blinking</source>
-        <translation>Lampeggiamento del cursore</translation>
+        <translation>Cursore lampeggiante</translation>
     </message>
     <message>
         <location line="+1456"/>
+        <location filename="../src/ui-settings-dialog.h" line="+90"/>
         <source>Use foreground color</source>
         <translation>Usa colore di primo piano</translation>
     </message>
     <message>
         <location line="+52"/>
-        <location line="+851"/>
+        <location line="+800"/>
+        <location filename="../src/ui-settings-dialog.h" line="+3"/>
+        <location line="+53"/>
         <source>Font size</source>
         <translation>Dimensione carattere</translation>
     </message>
     <message>
-        <location line="-728"/>
+        <location line="-677"/>
+        <location filename="../src/ui-settings-dialog.h" line="-50"/>
         <source>Set focus to terminal when running a command from within another widget</source>
         <translation>Rendi il terminale la finestra attiva quando un comando è eseguito da un altro widget</translation>
     </message>
     <message>
         <location line="+73"/>
+        <location filename="../src/ui-settings-dialog.h" line="+11"/>
         <source>File Browser</source>
         <translation>Gestore dei file</translation>
     </message>
     <message>
         <location line="-2031"/>
+        <location filename="../src/ui-settings-dialog.h" line="-126"/>
         <source>Interface</source>
         <translation>Interfaccia</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Small</source>
-        <translation>Piccolo</translation>
+        <translation>Piccola</translation>
     </message>
     <message>
         <location line="+17"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Large</source>
         <translation>Grande</translation>
     </message>
     <message>
         <location line="+183"/>
+        <location filename="../src/ui-settings-dialog.h" line="+9"/>
         <source>3D</source>
         <translation>3D</translation>
     </message>
     <message>
         <location line="+132"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Octave Startup</source>
         <translation>Avvio di Octave</translation>
     </message>
     <message>
         <location line="+41"/>
         <location line="+1732"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
+        <location line="+101"/>
         <source>Startup path</source>
         <translation>Percorso di avvio</translation>
     </message>
     <message>
         <location line="-1719"/>
         <location line="+1712"/>
+        <location filename="../src/ui-settings-dialog.h" line="-100"/>
+        <location line="+99"/>
         <source>Browse</source>
         <translation>Naviga</translation>
     </message>
     <message>
         <location line="-1450"/>
+        <location filename="../src/ui-settings-dialog.h" line="-87"/>
         <source>Show tool bar</source>
         <translation>Mostra barra degli strumenti</translation>
     </message>
     <message>
         <location line="-185"/>
+        <location filename="../src/ui-settings-dialog.h" line="-8"/>
         <source>Tab width min.</source>
         <translation>Ampiezza tabulazione min.</translation>
     </message>
     <message>
         <location line="+70"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>max.</source>
         <translation>max.</translation>
     </message>
     <message>
         <location line="+15"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Show complete path in title</source>
-        <translation type="unfinished"></translation>
+        <translation>Mostra percorso file nel titolo</translation>
     </message>
     <message>
         <location line="+131"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Number size as difference to editor font</source>
-        <translation type="unfinished"></translation>
+        <translation>Numera dimensione come differenza rispetto al carattere dell&apos;editor</translation>
     </message>
     <message>
         <location line="+124"/>
+        <location filename="../src/ui-settings-dialog.h" line="+4"/>
         <source>Highlight all occurrences of a word selected by a double click</source>
-        <translation type="unfinished"></translation>
+        <translation>Evidenzia tutte le occorrenze di una parola selezionata con doppio click</translation>
     </message>
     <message>
         <location line="+65"/>
+        <location filename="../src/ui-settings-dialog.h" line="+4"/>
         <source>Comments (Octave)</source>
-        <translation type="unfinished"></translation>
+        <translation>Commenti (Octave)</translation>
     </message>
     <message>
         <location line="+11"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Strings considered for uncommenting text</source>
-        <translation type="unfinished"></translation>
+        <translation>Stringhe considerate per decommentare il testo</translation>
     </message>
     <message>
         <location line="+23"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>String used for commenting selected text</source>
-        <translation type="unfinished"></translation>
+        <translation>Stringa utilizzata per commentare il testo selezionato</translation>
     </message>
     <message>
         <location line="+31"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Long lines</source>
-        <translation type="unfinished"></translation>
+        <translation>Righe lunghe</translation>
     </message>
     <message>
         <location line="+25"/>
+        <location filename="../src/ui-settings-dialog.h" line="+4"/>
         <source>Break long lines at line length</source>
-        <translation type="unfinished"></translation>
+        <translation>Spezza righe lunghe alla lunghezza di riga</translation>
     </message>
     <message>
         <location line="+13"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Break lines only in comments</source>
-        <translation type="unfinished"></translation>
+        <translation>Spezza righe soltanto nei commenti</translation>
     </message>
     <message>
         <location line="+60"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Line length</source>
-        <translation type="unfinished"></translation>
+        <translation>Lunghezza riga</translation>
     </message>
     <message>
         <location line="+9"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Long line marker</source>
-        <translation type="unfinished"></translation>
+        <translation>Marcatore di riga lunga</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Line</source>
-        <translation type="unfinished"></translation>
+        <translation>Riga</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Background</source>
-        <translation type="unfinished">Sfondo</translation>
-    </message>
-    <message>
-        <location line="+38"/>
-        <source>Wrap long lines at curent window border</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+15"/>
+        <translation>Sfondo</translation>
+    </message>
+    <message>
+        <location line="+53"/>
+        <location filename="../src/ui-settings-dialog.h" line="+5"/>
         <source>Indentation</source>
         <translation>Indentazione</translation>
     </message>
     <message>
         <location line="+138"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Auto insert after &quot;if&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>Inserimento automatico dopo &quot;if&quot; etc.</translation>
     </message>
     <message>
         <location line="+20"/>
+        <location filename="../src/ui-settings-dialog.h" line="+3"/>
         <source>Nothing</source>
-        <translation type="unfinished"></translation>
+        <translation>Nulla</translation>
     </message>
     <message>
         <location line="+5"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>&quot;endif&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;endif&quot; etc.</translation>
     </message>
     <message>
         <location line="+5"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>&quot;end&quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;end&quot;</translation>
     </message>
     <message>
         <location line="+130"/>
+        <location filename="../src/ui-settings-dialog.h" line="+7"/>
         <source>With Octave builtins</source>
-        <translation>Con built-in di Octave</translation>
+        <translation>Con comandi built-in di Octave</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>With Octave functions</source>
         <translation>Con funzioni di Octave</translation>
     </message>
     <message>
         <location line="+64"/>
+        <location filename="../src/ui-settings-dialog.h" line="+9"/>
         <source>Show completion list automatically</source>
         <translation>Mostra lista di completamento automaticamente</translation>
     </message>
     <message>
         <location line="+31"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>File handling</source>
         <translation>Gestione file</translation>
     </message>
     <message>
         <location line="+19"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Reload externally changed files without prompt</source>
         <translation>Ricarica file modificati esternamente senza chiedere</translation>
     </message>
     <message>
         <location line="+13"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Restore editor tabs from previous session on startup or when editor is shown again after closing</source>
-        <translation type="unfinished"></translation>
+        <translation>Ripristina schede della sessione precedente all&apos;avvio o quando l&apos;editor è riaperto dopo essere stato chiuso</translation>
     </message>
     <message>
         <location line="+80"/>
+        <location filename="../src/ui-settings-dialog.h" line="+9"/>
         <source>Text encoding used for loading and saving</source>
         <translation>Codifica testuale usata per caricare e salvare</translation>
     </message>
     <message>
         <location line="+25"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Close all files when the editor widget is closed/hidden</source>
-        <translation type="unfinished"></translation>
+        <translation>Chiudi tutti i file quando l&apos;editor è chiuso/nascosto</translation>
     </message>
     <message>
         <location line="+55"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Select font, font size (as a difference from the default size), font style (&lt;b&gt;b&lt;/b&gt;old, &lt;b&gt;i&lt;/b&gt;talic, &lt;b&gt;u&lt;/b&gt;nderline), text color, and background color (for the latter, the color magenta (255,0,255) is a placeholder for the default background color).&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
         <translation>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Seleziona carattere, dimensione carattere (come differenza dispetto alla dimensione predefinita), stile di carattere (&lt;b&gt;g&lt;/b&gt;rassetto, &lt;b&gt;c&lt;/b&gt;orsivo, &lt;b&gt;s&lt;/b&gt;ottolineato), colore del testo, e colore dello sfondo (per quest&apos;ultimo, il colore magenta (255,0,255) indica il colore di default per lo sfondo).&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</translation>
     </message>
     <message>
         <location line="+185"/>
+        <location filename="../src/ui-settings-dialog.h" line="+6"/>
         <source>(Changing buffer size clears history)</source>
         <translation>(Il cambio della dimensione della lista svuota lo storico comandi)</translation>
     </message>
     <message>
         <location line="+28"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>History buffer Size</source>
         <translation>Dimensione storico comandi</translation>
     </message>
     <message>
         <location line="+34"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Print debug location in terminal window in addition to the marker in the editor</source>
         <translation>Stampa la posizione di debug nella finestra del terminale oltre al marcatore nell&apos;editor</translation>
     </message>
     <message>
         <location line="+87"/>
+        <location filename="../src/ui-settings-dialog.h" line="+3"/>
         <source>Behavior</source>
         <translation>Comportamento</translation>
     </message>
     <message>
         <location line="+30"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Restore last directory of previous session</source>
         <translation>Ripristina l&apos;ultima cartella della sessione precedente</translation>
     </message>
     <message>
         <location line="+54"/>
+        <location filename="../src/ui-settings-dialog.h" line="+3"/>
         <source>Extensions of files to be opened in the default text editor (separated by &quot;;&quot;):</source>
         <translation>Estensioni dei file da aprire nell&apos;editor di testo di default (separate da &quot;;&quot;):</translation>
     </message>
     <message>
         <location line="+39"/>
+        <location filename="../src/ui-settings-dialog.h" line="+5"/>
         <source>Workspace</source>
         <translation>Spazio di lavoro</translation>
     </message>
     <message>
         <location line="+35"/>
+        <location filename="../src/ui-settings-dialog.h" line="-2"/>
         <source>Colors for variable attributes</source>
         <translation>Colori per gli attributi delle variabili</translation>
     </message>
     <message>
         <location line="+7"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Hide tool tips</source>
         <translation>Nascondi suggerimenti</translation>
     </message>
     <message>
         <location line="+101"/>
+        <location filename="../src/ui-settings-dialog.h" line="+7"/>
         <source>Import shortcut set</source>
         <translation>Importa scorciatoie</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+4"/>
         <source>Export current shortcut set</source>
         <translation>Esporta le attuali scorciatoie</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+4"/>
         <source>Reset shortcuts to their defaults</source>
         <translation>Reimposta le scorciatoie ai valori predefiniti</translation>
     </message>
     <message>
         <location line="+3"/>
         <location line="+80"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
+        <location line="+4"/>
         <source>Default</source>
         <translation>Default</translation>
     </message>
     <message>
         <location line="-71"/>
+        <location filename="../src/ui-settings-dialog.h" line="-3"/>
         <source>Edit a shortcut by double-clicking in a cell</source>
         <translation>Modifica una scorciatoia facendo doppio click in una cella</translation>
     </message>
     <message>
         <location line="+76"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Actual</source>
         <translation>Attuale</translation>
     </message>
     <message>
         <location line="+17"/>
+        <location filename="../src/ui-settings-dialog.h" line="+16"/>
         <source>Network</source>
         <translation>Rete</translation>
     </message>
     <message>
         <location line="+23"/>
+        <location filename="../src/ui-settings-dialog.h" line="-12"/>
         <source>Allow Octave to connect to the Octave web site to display current news and information</source>
-        <translation>Pemetti ad Octave di connettersi al sito web di Octave per mostrare notizie ed informazioni aggiornate</translation>
+        <translation>Permetti all&apos;applicazione di connettersi al sito web di Octave per mostrare notizie ed informazioni aggiornate</translation>
     </message>
     <message>
         <location line="+46"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Use proxy server</source>
         <translation>Usa server proxy</translation>
     </message>
     <message>
         <location line="+90"/>
+        <location filename="../src/ui-settings-dialog.h" line="+19"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+33"/>
+        <translation>Editor di variabili</translation>
+    </message>
+    <message>
+        <location line="+53"/>
+        <location filename="../src/ui-settings-dialog.h" line="-12"/>
         <source>Default row height</source>
-        <translation type="unfinished"></translation>
+        <translation>Altezza di default riga</translation>
     </message>
     <message>
         <location line="+17"/>
-        <source>20</source>
-        <translation type="unfinished">3D {20?}</translation>
-    </message>
-    <message>
-        <location line="+7"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Default column width</source>
-        <translation type="unfinished"></translation>
+        <translation>Larghezza di default colonna</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Use Terminal Font</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+27"/>
-        <source>2</source>
-        <translation type="unfinished">3D {2?}</translation>
-    </message>
-    <message>
-        <location line="+16"/>
+        <translation>Usa set di caratteri del terminale</translation>
+    </message>
+    <message>
+        <location line="+26"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Autofit</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+7"/>
+        <translation>Adatta automaticamente</translation>
+    </message>
+    <message>
+        <location line="-63"/>
+        <location filename="../src/ui-settings-dialog.h" line="-5"/>
         <source>Plus font height</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+17"/>
+        <translation>Più altezza del carattere</translation>
+    </message>
+    <message>
+        <location line="+77"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>By Column</source>
-        <translation type="unfinished"></translation>
+        <translation>Per colonna</translation>
     </message>
     <message>
         <location line="+5"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Uniform</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="+23"/>
+        <translation>Uniforme</translation>
+    </message>
+    <message>
+        <location line="+40"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Variable Editor Colors</source>
-        <translation type="unfinished"></translation>
+        <translation>Colori dell&apos;editor di variabli</translation>
     </message>
     <message>
         <location line="+12"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Use alternating row colors</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location line="-287"/>
+        <translation>Usa colori alternati per le righe</translation>
+    </message>
+    <message>
+        <location line="-290"/>
+        <location filename="../src/ui-settings-dialog.h" line="-22"/>
         <source>HttpProxy</source>
         <translation>HttpProxy</translation>
     </message>
     <message>
         <location line="-2179"/>
+        <location filename="../src/ui-settings-dialog.h" line="-139"/>
         <source>Icon set for dock widgets</source>
         <translation>Icone per il lanciatore di widget</translation>
     </message>
     <message>
         <location line="-220"/>
+        <location filename="../src/ui-settings-dialog.h" line="-11"/>
         <source>Language (requires restart)</source>
-        <translation>Lingua (richiede riavvio)</translation>
+        <translation>Lingua (cambiarla richiede riavvio)</translation>
     </message>
     <message>
         <location line="-17"/>
+        <location filename="../src/ui-settings-dialog.h" line="-2"/>
         <source>Icon size</source>
         <translation>Dimensione icona</translation>
     </message>
     <message>
         <location line="+1987"/>
+        <location filename="../src/ui-settings-dialog.h" line="+116"/>
         <source>Synchronize Octave working directory with file browser</source>
         <translation>Sincronizza la cartella di lavoro di Octave con il gestore dei file</translation>
     </message>
     <message>
         <location line="+184"/>
+        <location filename="../src/ui-settings-dialog.h" line="+31"/>
         <source>Shortcuts</source>
         <translation>Scorciatoie</translation>
     </message>
     <message>
         <location line="+31"/>
+        <location filename="../src/ui-settings-dialog.h" line="-20"/>
         <source>Select this option to prevent conflicts with readline shortcuts</source>
         <translation>Seleziona questa opzione per evitrare conflitti con le scorciatoie di readline</translation>
     </message>
     <message>
         <location line="+3"/>
+        <location filename="../src/ui-settings-dialog.h" line="+2"/>
         <source>Disable global shortcuts when terminal window has focus</source>
         <translation>Disabilita le scorciatoie globali quando il terminale è selezionato</translation>
     </message>
     <message>
         <location line="+53"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Export</source>
         <translation>Esporta</translation>
     </message>
     <message>
         <location line="-10"/>
+        <location filename="../src/ui-settings-dialog.h" line="-4"/>
         <source>Import</source>
         <translation>Importa</translation>
     </message>
     <message>
         <location line="+90"/>
+        <location filename="../src/ui-settings-dialog.h" line="+13"/>
         <source>Action</source>
         <translation>Azione</translation>
     </message>
     <message>
         <location line="+83"/>
+        <location filename="../src/ui-settings-dialog.h" line="+7"/>
         <source>Socks5Proxy</source>
         <translation>Socks5Proxy</translation>
     </message>
     <message>
         <location line="-16"/>
+        <location filename="../src/ui-settings-dialog.h" line="-4"/>
         <source>Hostname:</source>
         <translation>Nome host:</translation>
     </message>
     <message>
         <location line="+44"/>
+        <location filename="../src/ui-settings-dialog.h" line="+8"/>
         <source>Proxy type:</source>
         <translation>Tipo di proxy:</translation>
     </message>
     <message>
         <location line="+10"/>
+        <location filename="../src/ui-settings-dialog.h" line="+1"/>
         <source>Port:</source>
         <translation>Porta:</translation>
     </message>
     <message>
         <location line="-27"/>
+        <location filename="../src/ui-settings-dialog.h" line="-3"/>
         <source>Username:</source>
         <translation>Nome utente:</translation>
     </message>
     <message>
         <location line="+37"/>
+        <location filename="../src/ui-settings-dialog.h" line="+4"/>
         <source>Password:</source>
         <translation>Password:</translation>
     </message>
     <message>
-        <location filename="../src/settings-dialog.cc" line="+125"/>
+        <location filename="../src/settings-dialog.cc" line="+127"/>
         <source>Octave Settings</source>
         <translation>Impostazioni di Octave</translation>
     </message>
